﻿# BatchEncoder (Audio Conversion GUI)

[![Gitter](https://badges.gitter.im/wieslawsoltes/BatchEncoder.svg)](https://gitter.im/wieslawsoltes/BatchEncoder?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)
[![Build status](https://dev.azure.com/wieslawsoltes/GitHub/_apis/build/status/Old/BatchEncoder)](https://dev.azure.com/wieslawsoltes/GitHub/_build/latest?definitionId=71)

[![Github All Releases](https://img.shields.io/github/downloads/wieslawsoltes/batchencoder/total.svg)](https://github.com/wieslawsoltes/BatchEncoder/releases)
[![GitHub Release](https://img.shields.io/github/release/wieslawsoltes/batchencoder.svg)](https://github.com/wieslawsoltes/batchencoder/releases/latest)
[![Github Releases](https://img.shields.io/github/downloads/wieslawsoltes/batchencoder/latest/total.svg)](https://github.com/wieslawsoltes/BatchEncoder/releases)

BatchEncoder is an audio files conversion software.

## Download BatchEncoder

| Platform              | Type        | Version       | Download                                                                                                                               |
|-----------------------|-------------|---------------|----------------------------------------------------------------------------------------------------------------------------------------|
| Windows 32-bit        | Installer   | 5.1           | [BatchEncoder-5.1-Win32.exe](https://github.com/wieslawsoltes/BatchEncoder/releases/download/5.1/BatchEncoder-5.1-Win32.exe)           |
| Windows 64-bit        | Installer   | 5.1           | [BatchEncoder-5.1-x64.exe](https://github.com/wieslawsoltes/BatchEncoder/releases/download/5.1/BatchEncoder-5.1-x64.exe)               |
| Windows 32-bit        | Portable    | 5.1           | [BatchEncoder-5.1-Win32.zip](https://github.com/wieslawsoltes/BatchEncoder/releases/download/5.1/BatchEncoder-5.1-Win32.zip)           |
| Windows 64-bit        | Portable    | 5.1           | [BatchEncoder-5.1-x64.zip](https://github.com/wieslawsoltes/BatchEncoder/releases/download/5.1/BatchEncoder-5.1-x64.zip)               |
| All                   | Config      | 5.1           | [BatchEncoder-5.1-Config.zip](https://github.com/wieslawsoltes/BatchEncoder/releases/download/5.1/BatchEncoder-5.1-Config.zip)         |

## Support BatchEncoder

[![PayPal - The safer, easier way to pay online!](https://www.paypalobjects.com/en_US/i/btn/btn_donate_SM.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=GFQMG36HPYT6W)

## About

BatchEncoder is an audio files conversion software. It supports most of popular audio file formats 
including lossy and lossless compression. The program is very simple to use. 
BatchEncoder is basically GUI front-end for command-line tools. All it does is create background 
processes and pass arguments to it with options set in presets/format menu and additionally 
adds input and output file paths. For specific options for each format use help available for command-line tools.

## Features

* Front-end for command-line tools.
* Supports popular audio formats.
* File transcoding between audio formats.
* Multi-threaded conversion.
* Full UNICODE support.
* Multi-language user interface.
* Out of the box configuration for new users.
* Advanced options for experienced users.
* Open-source, fast and simple.

## Screenshots

### File list

[![File List](screenshots/FileList.png)](https://github.com/wieslawsoltes/BatchEncoder/blob/master/screenshots/FileList.png)

### Conversion progress

[![File List Converting](screenshots/FileListConverting.png)](https://github.com/wieslawsoltes/BatchEncoder/blob/master/screenshots/FileListConverting.png)

### Configure presets

[![Configure Presets](screenshots/ConfigurePresets.png)](https://github.com/wieslawsoltes/BatchEncoder/blob/master/screenshots/ConfigurePresets.png)

### Configure formats

[![Configure Formats](screenshots/ConfigureFormats.png)](https://github.com/wieslawsoltes/BatchEncoder/blob/master/screenshots/ConfigureFormats.png)

### Configure tools

[![Configure Tools](screenshots/ConfigureTools.png)](https://github.com/wieslawsoltes/BatchEncoder/blob/master/screenshots/ConfigureTools.png)

### Edit paths

[![Edit paths](screenshots/EditPaths.png)](https://github.com/wieslawsoltes/BatchEncoder/blob/master/screenshots/EditPaths.png)

## Sources

Sources are available in the [git source code repository](https://github.com/wieslawsoltes/BatchEncoder/).

## Documentation

The documentation is available in in the [wiki](https://github.com/wieslawsoltes/BatchEncoder/wiki).

## License

BatchEncoder (Audio Conversion GUI) is licensed under the [MIT license](LICENSE.TXT).
